package com.ar.arsketch.utils;

import android.content.Context;

import com.ar.arsketch.room.AppDatabase;
import com.ar.arsketch.room.ImageEntry;
import com.ar.arsketch.room.ImageEntryDao;

import java.util.ArrayList;
import java.util.List;

public class DatabaseUtils {

    private final ImageEntryDao imageEntryDao;

    public DatabaseUtils(Context context) {
        AppDatabase db = AppDatabase.getInstance(context);
        imageEntryDao = db.imageEntryDao();
    }

    public void insertAllImages(List<String> imagePaths) {
        List<ImageEntry> imageEntries = new ArrayList<>();
        for (String path : imagePaths) {
            imageEntries.add(new ImageEntry(false, false, path));
        }

        imageEntryDao.insertAll(imageEntries);
    }

}
